Arduino

Reference Language | Libraries | Comparison | Changes

LiquidCrystal

## autoscroll()

#### Description

Turns on automatic scrolling of the LCD. This causes each character output to the display to push previous characters over by one space. If the current text direction is left-to-right (the default), the display scrolls to the left; if the current direction is right-to-left, the display scrolls to the right. This has the effect of outputting each new character to the same location on the LCD.

#### Syntax

lcd.autoscroll()

#### Parameters

lcd: a variable of type LiquidCrystal

#### See also

- noAutoscroll()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes